Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.wso2.wsas.persistence.dataobject
Class EJBProviderDO

    java.lang.Object
      org.wso2.wsas.persistence.dataobject.AbstractDataObject
          org.wso2.wsas.persistence.dataobject.EJBProviderDO

public class EJBProviderDO
extends AbstractDataObject

Data object representing ejb provider

Constructor Summary
`EJBProviderDO()`

Method Summary
`boolean` | `equals(java.lang.Object obj)`
`java.lang.String` | `getAppServerType()`
`java.lang.String` | `getBeanJNDIName()`
`java.lang.String` | `getHomeInterface()`
`java.lang.String` | `getJndiContextClass()`
`java.lang.String` | `getPassword()`
`java.lang.String` | `getProviderURL()`
`java.lang.String` | `getRemoteInterface()`
`java.lang.String` | `getServiceGroupId()`
`java.lang.String` | `getUserName()`
`int` | `hashCode()`
`void` | `setAppServerType(java.lang.String appServerType)`
`void` | `setBeanJNDIName(java.lang.String beanJNDIName)`
`void` | `setHomeInterface(java.lang.String homeInterface)`
`void` | `setJndiContextClass(java.lang.String jndiContextClass)`
`void` | `setPassword(java.lang.String password)`
`void` | `setProviderURL(java.lang.String providerURL)`
`void` | `setRemoteInterface(java.lang.String remoteInterface)`
`void` | `setServiceGroupId(java.lang.String serviceGroupId)`
`void` | `setUserName(java.lang.String userName)`

Methods inherited from class org.wso2.wsas.persistence.dataobject.AbstractDataObject
`getId, getLastUpdatedTime, setId, setLastUpdatedTime`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### EJBProviderDO

    public EJBProviderDO()

Method Detail

### getBeanJNDIName

    public java.lang.String getBeanJNDIName()

### setBeanJNDIName

    public void setBeanJNDIName(java.lang.String beanJNDIName)

### getHomeInterface

    public java.lang.String getHomeInterface()

### setHomeInterface

    public void setHomeInterface(java.lang.String homeInterface)

### getJndiContextClass

    public java.lang.String getJndiContextClass()

### setJndiContextClass

    public void setJndiContextClass(java.lang.String jndiContextClass)

### getPassword

    public java.lang.String getPassword()

### setPassword

    public void setPassword(java.lang.String password)

### getProviderURL

    public java.lang.String getProviderURL()

### setProviderURL

    public void setProviderURL(java.lang.String providerURL)

### getRemoteInterface

    public java.lang.String getRemoteInterface()

### setRemoteInterface

    public void setRemoteInterface(java.lang.String remoteInterface)

### getUserName

    public java.lang.String getUserName()

### setUserName

    public void setUserName(java.lang.String userName)

### getAppServerType

    public java.lang.String getAppServerType()

### setAppServerType

    public void setAppServerType(java.lang.String appServerType)

### getServiceGroupId

    public java.lang.String getServiceGroupId()

### setServiceGroupId

    public void setServiceGroupId(java.lang.String serviceGroupId)

### hashCode

    public int hashCode()

### equals

    public boolean equals(java.lang.Object obj)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD